package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.text.ParsePosition;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDateParser;

class CopyQuotedStrategy extends FastDateParser.Strategy {
  private final String formatField;
  
  CopyQuotedStrategy(String formatField) {
    this.formatField = formatField;
  }
  
  boolean isNumber() {
    return false;
  }
  
  boolean parse(FastDateParser parser, Calendar calendar, String source, ParsePosition pos, int maxWidth) {
    for (int idx = 0; idx < this.formatField.length(); idx++) {
      int sIdx = idx + pos.getIndex();
      if (sIdx == source.length()) {
        pos.setErrorIndex(sIdx);
        return false;
      } 
      if (this.formatField.charAt(idx) != source.charAt(sIdx)) {
        pos.setErrorIndex(sIdx);
        return false;
      } 
    } 
    pos.setIndex(this.formatField.length() + pos.getIndex());
    return true;
  }
  
  public String toString() {
    return "CopyQuotedStrategy [formatField=" + this.formatField + "]";
  }
}
